Unable to load Lands.rhp plugin: application initialzation failed

Hi Enric,
I was just wondering, does that include me too? :wink:

Hi @Elshar,

Sure!! Let me talk to the Lands developer next week. I want to make sure the current code is not crashing or corrupting files.

Enric

1 Like

Hi Enric,

Would you be able to send the the WIP for Lands Beta VI; where Visual Arq 2 and Lands.rhp will load together in Rhino 5. I have downloaded both 8-10hrs ago, and lands still throughs the error that it cannot load Lands.rhp.

Thanks
David

Hi,

Here is the latest installer for a WIP version of the Lands for Rhino (64-bit) BETA VI. This version is compatible with VisualARQ 2.1:
https://rhinolands.s3.amazonaws.com/download/lands-4.9.6.5026-rhino-x64-setup-snapshot.msi

Take into account that this is a WIP version and it may fail. Please, report any issue you have with this version.

Thanks,

Enric

Hi Enric,

Thank you so much for providing the WIP version of Lands! It works great so far. I’ve noticed that the terrain appears as a wireframe in the shaded mode. Also, both the terrain and planting completely disappear in the Arctic mode, and the only way to somewhat show them is by turning on the mesh wires in the display settings. I’m not sure if it’s a Rhino 6 issue or Lands issue, but these are my observations.

Best,
Ced

Hi @clalanne,

Yes, we know there are still issues with Lands for Rhino 6.

I shared this installer with the intention to be used with VisualARQ in Rhino 5 (64-bit), but as the installer for Rhino 5 (64-bit) and Rhino 6 is the same, you can try it also in Rhino 6.

Enric

1 Like

Thanks for the reply Enric,

I’ve been using it in Rhino 6, it also appeared to be a glitch. I played around with the mesh display settings and it went back to normal.

Ced

Hi Enric, is still possible to obtain this version of Lands D? The link is not working anymore :slight_smile:

Thanks in advance,
Petr

I’ve removed from the server the WIP version Enric shared. It was too unstable. I understand that was important to give something compatible with VisualARQ 2.1, but I prefer nobody else install it.
Next Lands Design version is very close, will work on Rhino 6 and will be compatible with VisualARQ 2.2

3 Likes

Hi, the new Lands Design Beta VI version, compatible with Rhino 6 and VisualARQ 2.2 is available for download: Lands Beta VI released

2 Likes

Hi! I have the same issue with new version since today. I also have VisualARQ 2.2 installed
Thanks in advance!

@egazeba what issue do you have? Can you share a screenshot? What Lands version are you running?

The last version from website -BETA VI
Here is the screenshot

@egazeba
Try this: Go to Rhino Options: Tools > Options > Plug-ins, and make sure “Lands Design” and “Tibidabo” are enabled. Check them if they aren’t and restart Rhino.
If problem persists, then try to uninstall VisualARQ and Lands, and install the last versions of each one again.
Let me know how it goes.

Doesnt seem to work. I uninstalled VisualARQ and Lands, installed Lands again and still got the same message, even without VisualARQ.

About TIbidabo igot this message:

From the plug-ins list, select “Tibidabo” and click on the “Install…” button. Then select the “tibidabo.rhp” file that you can find in this directory: C:\Program Files\Rhino 6\Plug-ins\Tibidabo
Do the same with “Lands Design” if it is not loaded.
Then restart Rhino.
Does that fix the issue?

It didnt. Unable to load Tibidabo plug-in

Hi, I realize now from one of your screenshots that your Lands Beta has expired, and for that reason you are getting these errors. Excuse me for not having seen it before.
We are going to release the next Beta version next week, but if you want to use an internal version in the meantime, you can download it from this link:
https://www.dropbox.com/s/wht7svbwpzdx7ix/lands-4.9.8.5138-rhino-x64-setup-snapshot.zip?dl=0
Just a warning: this temporary Beta version is not compatible with VisualARQ 2.2.

1 Like

Ah, Ok) Thank you very much for helping. I’ll wait for next week then.